int.c File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <unistd.h>`
`#include <linux/pci.h>`
`#include <sys/types.h>`
`#include <sys/stat.h>`
`#include "hd.h"`
`#include "hd_int.h"`
`#include "int.h"`
`#include "edd.h"`

## Functions

static void | int_hotplug (hd_data_t *hd_data)
static void | int_cdrom (hd_data_t *hd_data)
static void | int_media_check (hd_data_t *hd_data)
static int | contains_word (char *str, char *str2)
static int | is_zip (hd_t *hd)
static void | int_floppy (hd_data_t *hd_data)
static void | int_fix_usb_scsi (hd_data_t *hd_data)
static void | int_mouse (hd_data_t *hd_data)
static void | new_id (hd_data_t *hd_data, hd_t *hd)
static void | int_modem (hd_data_t *hd_data)
static void | int_wlan (hd_data_t *hd_data)
static void | int_udev (hd_data_t *hd_data)
static void | int_devicenames (hd_data_t *hd_data)
static void | int_find_parent (hd_data_t *hd_data)
static void | int_add_driver_modules (hd_data_t *hd_data)
static void | int_update_driver_data (hd_data_t *hd_data, hd_t *hd)
void | hd_scan_int (hd_data_t *hd_data)
void | hd_add_driver_data (hd_data_t *hd_data, hd_t *hd)